Theme
Generate Song (Inspiration Mode)
POST
https://www.kkiai.com/suno/submit/music
Request Parameters
Authorization
Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.
Example: Authorization: Bearer ********************
Header Parameters
| Parameter | Type | Required | Description | Example |
|---|---|---|---|---|
Content-Type | string | Required | application/json | |
Accept | string | Required | application/json | |
Authorization | string | Optional | Bearer {{YOUR_API_KEY}} |
Body Parameters (application/json)
| Parameter | Type | Required | Description |
|---|---|---|---|
prompt | string | Required | Lyrics content, used only for custom mode |
mv | string | Required | Model selection, options are chirp-v3-0, chirp-v3-5, default is chirp-v3-0 |
title | string | Optional | Song title, used only for custom mode |
tags | string | Optional | Style tags, used only for custom mode, multiple tags separated by commas |
make_instrumental | boolean | Optional | Whether to generate instrumental version, true means generate instrumental |
task_id | string | Optional | Task ID, used to operate on existing tasks (such as continuation) |
continue_at | number | Optional | Continuation start time point, floating point number, unit in seconds |
continue_clip_id | string | Optional | |
gpt_description_prompt | string | Required | Creative description prompt, used only for inspiration mode |
notify_hook | string | Optional | Callback notification address after task completion |
Request Example
json
{
"gpt_description_prompt": "A beautiful and emotional love song with a warm, romantic mood.",
"make_instrumental": false,
"mv": "chirp-v4",
"prompt": "Midnight Love"
}cURL Example
bash
curl --location --request POST 'https://www.kkiai.com/suno/submit/music' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'Content-Type: application/json' \
--data-raw '{
"gpt_description_prompt": "A beautiful and emotional love song with a warm, romantic mood.",
"make_instrumental": false,
"mv": "chirp-v4",
"prompt": "Midnight Love"
}'Response
🟢 200 Success
Response Body
| Parameter | Type | Required | Description |
|---|---|---|---|
code | string | Required | |
data | string | Required | |
message | string | Required |
Response Example
json
{
"code": "success",
"data": "950bf3af-78a6-420e-8c01-3bde0bbb3ef9",
"message": ""
}